# FdoXmlElementMapping Class Reference

`#include <ElementMapping.h>`

Inheritance diagram for FdoXmlElementMapping:

[legend]

List of all members.

## Detailed Description

FdoXmlElementMapping describes GML to FDO mappings for a particular GML Schema element. Only mappings that cannot be represented in FDO are described.

Definition at line 34 of file ElementMapping.h.

## Public Member Functions
virtual FdoStringCollection * | GetAliasNames ()
virtual FdoString * | GetChoiceName ()
FDO_API FdoXmlClassMapping * | GetClassMapping ()
| Gets the class mapping for this element. The class mapping provides information about the FDO Class for this element's type.
FDO_API FdoString * | GetClassName ()
| Gets the FDO Class name.
FDO_API FdoString * | GetGmlLocalName ()
| Gets the URI for the referenced element.
FDO_API FdoString * | GetGmlUri ()
| Gets the URI for the referenced element.
FDO_API FdoString * | GetSchemaName ()
| Gets the Schema Name for the FDO Class.
virtual void | SetAliasNames (FdoStringCollection *pAliasNames)
| Functions for XML support.
virtual void | SetChoiceName (FdoString *pChoiceName)
FDO_API void | SetClassMapping (FdoXmlClassMapping *classMapping)
| Sets the class mapping for this element. The class mapping provides information about the FDO Class for this element's type.
FDO_API void | SetClassName (FdoString *className)
| Sets the element class name to a dangling reference. This function can be used to reference a class that has no FdoXmlClassMapping object.
FDO_API void | SetGmlLocalName (FdoString *gmlLocalName=L"")
| Sets the local name for this element.
FDO_API void | SetGmlUri (FdoString *gmlUri=L"")
| Sets the namespace URI for this element.
FDO_API void | SetSchemaName (FdoString *schemaName=L"")
| Sets the schema name for a dangling reference to an element's class.
## Static Public Member Functions
static FDO_API FdoXmlElementMapping * | Create (FdoString *name)
| Constructs an object describing the GML-FDO mappings for a GML element.

The documentation for this class was generated from the following file:

- ElementMapping.h